# Command Line Switches

#### Syntax

    <switch>::= <switch_symbol><switch_characters>[<option>]
    <switch_symbol> ::= '/' | '-'

On the command line, a switch consists of a switch specifier, either a dash (-) or a forward slash (/), followed by the name of the switch. Switch names cannot be abbreviated.

Some switches take an argument, specified after switch name. No spaces or tabs are allowed within a switch specification. Switch names are not case sensitive, but arguments can be case sensitive.

Switch can be used in any place in command line.

See also Command Line Syntax for more details about using command line.

## Switches quick reference

Switch | Description
--- | ---
-- | Stop switches parsing
-ai | Include archive filenames
-an | Disable parsing of archive_name
-ao | Overwrite mode
-ax | Exclude archive filenames
-i | Include filenames
-m | Set Compression Method
-o | Set Output directory
-p | Set Password
-r | Recurse subdirectories
-seml | Send archive by email
-slp | Set Large Pages mode
-sfx | Create SFX archive
-si | Read data from StdIn
-so | Write data to StdOut
-t | Type of archive
-u | Update options
-v | Create Volumes
-w | Set Working directory
-x | Exclude filenames
-y | Assume Yes on all queries